org.gradle.jvm

## Interface JvmBinarySpec

- All Superinterfaces:
    BinarySpec, Buildable, BuildableComponentSpec, ComponentSpec, Named
  All Known Subinterfaces:
    ClassDirectoryBinarySpec, JarBinarySpec, JUnitTestSuiteBinarySpec, JvmTestSuiteBinarySpec

      @Incubating
      public interface JvmBinarySpec
      extends BinarySpec

  Represents a binary artifact that is the result of building a jvm component.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getClassesDir()` The classes directory for this binary.
    `File` | `getResourcesDir()` The resources directory for this binary.
    `JavaPlatform` | `getTargetPlatform()` The target platform for this binary.
    `JavaToolChain` | `getToolChain()` Returns the `JavaToolChain` that will be used to build this binary.
    `void` | `setClassesDir(File classesDir)` Sets the classes directory for this binary.
    `void` | `setResourcesDir(File dir)` Sets the resources directory for this binary.
    `void` | `setTargetPlatform(JavaPlatform platform)` Sets the target platform for this binary.
    `void` | `setToolChain(JavaToolChain toolChain)` Sets the `JavaToolChain` that will be used to build this binary.

    - ### Methods inherited from interface org.gradle.platform.base.BinarySpec

      `getInputs, getSources, getTasks, isBuildable`

    - ### Methods inherited from interface org.gradle.api.BuildableComponentSpec

      `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.platform.base.ComponentSpec

      `getDisplayName, getProjectPath`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getTargetPlatform

          JavaPlatform getTargetPlatform()

      The target platform for this binary.

    - #### setTargetPlatform

          void setTargetPlatform(JavaPlatform platform)

      Sets the target platform for this binary.

    - #### getToolChain

          JavaToolChain getToolChain()

      Returns the `JavaToolChain` that will be used to build this binary.

    - #### setToolChain

          void setToolChain(JavaToolChain toolChain)

      Sets the `JavaToolChain` that will be used to build this binary.

    - #### getClassesDir

          File getClassesDir()

      The classes directory for this binary.

    - #### setClassesDir

          void setClassesDir(File classesDir)

      Sets the classes directory for this binary.

    - #### getResourcesDir

          File getResourcesDir()

      The resources directory for this binary.

    - #### setResourcesDir

          void setResourcesDir(File dir)

      Sets the resources directory for this binary.